Index: src/sas/sasgui/perspectives/fitting/basepage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/basepage.py	(revision 313c5c92691602529afcffa8e76988a7cf6397b9)
+++ src/sas/sasgui/perspectives/fitting/basepage.py	(revision c8e19964f2dda929ccae8237e7b140a906cdf134)
@@ -1298,5 +1302,5 @@
 
         for key, disp_type in state._disp_obj_dict.iteritems():
-            #disp_model = disp
+            # disp_model = disp
             disp_model = POLYDISPERSITY_MODELS[disp_type]()
             self._disp_obj_dict[key] = disp_model
@@ -1307,10 +1311,10 @@
                 self.model.set_dispersion(param_name, disp_model)
                 self.model._persistency_dict[key] = \
-                                 [state.values, state.weights]
+                    [state.values, state.weights]
             except Exception:
                 logging.error(traceback.format_exc())
             selection = self._find_polyfunc_selection(disp_model)
             for list in self.fittable_param:
-                if list[1] == key and list[7] != None:
+                if list[1] == key and list[7] is not None:
                     list[7].SetSelection(selection)
                     # For the array disp_model, set the values and weights
@@ -1341,5 +1345,5 @@
         open a dialog file to selected the customized dispersity
         """
-        if self.parent != None:
+        if self.parent is not None:
             self._default_save_location = \
                         self._manager.parent.get_save_location()
@@ -1360,5 +1364,5 @@
         for name, _ in self.state.saved_states.iteritems():
             self.number_saved_state += 1
-            ## Add item in the context menu
+            # Add item in the context menu
             wx_id = ids.next()
             msg = 'Save model and state %g' % self.number_saved_state
@@ -1377,13 +1381,13 @@
         save radiobutton containing the type model that can be selected
         """
-        #self.state.shape_rbutton = self.shape_rbutton.GetValue()
-        #self.state.shape_indep_rbutton = self.shape_indep_rbutton.GetValue()
-        #self.state.struct_rbutton = self.struct_rbutton.GetValue()
-        #self.state.plugin_rbutton = self.plugin_rbutton.GetValue()
+        # self.state.shape_rbutton = self.shape_rbutton.GetValue()
+        # self.state.shape_indep_rbutton = self.shape_indep_rbutton.GetValue()
+        # self.state.struct_rbutton = self.struct_rbutton.GetValue()
+        # self.state.plugin_rbutton = self.plugin_rbutton.GetValue()
         self.state.structurecombobox = self.structurebox.GetLabel()
         self.state.formfactorcombobox = self.formfactorbox.GetLabel()
         self.state.categorycombobox = self.categorybox.GetLabel()
 
-        ## post state to fit panel
+        # post state to fit panel
         event = PageInfoEvent(page=self)
         wx.PostEvent(self.parent, event)
@@ -1397,5 +1401,5 @@
         self.state.npts = self.npts_x
 
-    def _onparamEnter_helper(self,is_modified = False):
+    def _onparamEnter_helper(self, is_modified=False):
         """
         check if values entered by the user are changed and valid to replot
@@ -1403,14 +1407,14 @@
         """
         # Flag to register when a parameter has changed.
-        #is_modified = False
+        # is_modified = False
         self.fitrange = True
         is_2Ddata = False
-        #self._undo.Enable(True)
+        # self._undo.Enable(True)
         # check if 2d data
         if self.data.__class__.__name__ == "Data2D":
             is_2Ddata = True
-        if self.model != None:
-            #Either we get a is_modified = True passed in because
-            #_update_paramv_on_fit() has been called already or
+        if self.model is not None:
+            # Either we get a is_modified = True passed in because
+            # _update_paramv_on_fit() has been called already or
             # we need to check here ourselves.
             if not is_modified:
@@ -1439,7 +1443,7 @@
                 self.fitrange = False
 
-            ## if any value is modify draw model with new value
+            # if any value is modify draw model with new value
             if not self.fitrange:
-                #self.btFit.Disable()
+                # self.btFit.Disable()
                 if is_2Ddata:
                     self.btEditMask.Disable()
@@ -1455,5 +1459,5 @@
                 self.Refresh()
 
-        #logging.info("is_modified flag set to %g",is_modified)
+        # logging.info("is_modified flag set to %g",is_modified)
         return is_modified
 
@@ -1462,23 +1466,23 @@
         make sure that update param values just before the fitting
         """
-        #flag for qmin qmax check values
+        # flag for qmin qmax check values
         flag = True
         self.fitrange = True
         is_modified = False
 
-        #wx.PostEvent(self._manager.parent, StatusEvent(status=" \
-        #updating ... ",type="update"))
-
-        ##So make sure that update param values on_Fit.
-        #self._undo.Enable(True)
-        if self.model != None:
+        # wx.PostEvent(self._manager.parent, StatusEvent(status=" \
+        # updating ... ",type="update"))
+
+        # So make sure that update param values on_Fit.
+        # self._undo.Enable(True)
+        if self.model is not None:
             if self.Npts_total.GetValue() != self.Npts_fit.GetValue():
                 if not self.data.is_data:
-                    self._manager.page_finder[self.uid].set_fit_data(data=\
-                                                                [self.data])
-            ##Check the values
+                    self._manager.page_finder[self.uid].set_fit_data(
+                        data=[self.data])
+            # Check the values
             is_modified = (self._check_value_enter(self.fittable_param)
-                            or self._check_value_enter(self.fixed_param)
-                            or self._check_value_enter(self.parameters))
+                           or self._check_value_enter(self.fixed_param)
+                           or self._check_value_enter(self.parameters))
 
             # If qmin and qmax have been modified, update qmin and qmax and
@@ -1521,8 +1525,8 @@
                                               enable_smearer=enable_smearer,
                                               draw=False)
-                    if self.data != None:
-                        index_data = ((self.qmin_x <= self.data.x) & \
+                    if self.data is not None:
+                        index_data = ((self.qmin_x <= self.data.x) &
                                       (self.data.x <= self.qmax_x))
-                        val = str(len(self.data.x[index_data == True]))
+                        val = str(len(self.data.x[index_data is True]))
                         self.Npts_fit.SetValue(val)
                     else:
@@ -1544,10 +1548,10 @@
             flag = False
 
-        #For invalid q range, disable the mask editor and fit button, vs.
+        # For invalid q range, disable the mask editor and fit button, vs.
         if not self.fitrange:
             if self._is_2D():
                 self.btEditMask.Disable()
         else:
-            if self._is_2D() and  self.data.is_data and not self.batch_on:
+            if self._is_2D() and self.data.is_data and not self.batch_on:
                 self.btEditMask.Enable(True)
 
@@ -1562,5 +1566,5 @@
             logging.error(traceback.format_exc())
 
-        return flag,is_modified
+        return flag, is_modified
 
     def _reset_parameters_state(self, listtorestore, statelist):
@@ -1576,8 +1580,8 @@
             item_page = listtorestore[j]
             item_page_info = statelist[j]
-            ##change the state of the check box for simple parameters
-            if item_page[0] != None:
+            # change the state of the check box for simple parameters
+            if item_page[0] is not None:
                 item_page[0].SetValue(item_page_info[0])
-            if item_page[2] != None:
+            if item_page[2] is not None:
                 item_page[2].SetValue(item_page_info[2])
                 if item_page[2].__class__.__name__ == "ComboBox":
@@ -1585,12 +1589,12 @@
                         fun_val = self.model.fun_list[item_page_info[2]]
                         self.model.setParam(item_page_info[1], fun_val)
-            if item_page[3] != None:
-                ## show or hide text +/-
+            if item_page[3] is not None:
+                # show or hide text +/-
                 if item_page_info[2]:
                     item_page[3].Show(True)
                 else:
                     item_page[3].Hide()
-            if item_page[4] != None:
-                ## show of hide the text crtl for fitting error
+            if item_page[4] is not None:
+                # show of hide the text crtl for fitting error
                 if item_page_info[4][0]:
                     item_page[4].Show(True)
@@ -1598,11 +1602,11 @@
                 else:
                     item_page[3].Hide()
-            if item_page[5] != None:
-                ## show of hide the text crtl for fitting error
+            if item_page[5] is not None:
+                # show of hide the text crtl for fitting error
                 item_page[5].Show(item_page_info[5][0])
                 item_page[5].SetValue(item_page_info[5][1])
 
-            if item_page[6] != None:
-                ## show of hide the text crtl for fitting error
+            if item_page[6] is not None:
+                # show of hide the text crtl for fitting error
                 item_page[6].Show(item_page_info[6][0])
                 item_page[6].SetValue(item_page_info[6][1])
@@ -1620,10 +1624,10 @@
             item_page = listtorestore[j]
             item_page_info = statelist[j]
-            ##change the state of the check box for simple parameters
-
-            if item_page[0] != None:
+            # change the state of the check box for simple parameters
+
+            if item_page[0] is not None:
                 item_page[0].SetValue(format_number(item_page_info[0], True))
 
-            if item_page[2] != None:
+            if item_page[2] is not None:
                 param_name = item_page_info[1]
                 value = item_page_info[2]
@@ -1648,16 +1652,16 @@
 
             checkbox_state = None
-            if item[0] != None:
+            if item[0] is not None:
                 checkbox_state = item[0].GetValue()
             parameter_name = item[1]
             parameter_value = None
-            if item[2] != None:
+            if item[2] is not None:
                 parameter_value = item[2].GetValue()
             static_text = None
-            if item[3] != None:
+            if item[3] is not None:
                 static_text = item[3].IsShown()
             error_value = None
             error_state = None
-            if item[4] != None:
+            if item[4] is not None:
                 error_value = item[4].GetValue()
                 error_state = item[4].IsShown()
@@ -1665,5 +1669,5 @@
             min_value = None
             min_state = None
-            if item[5] != None:
+            if item[5] is not None:
                 min_value = item[5].GetValue()
                 min_state = item[5].IsShown()
@@ -1671,9 +1675,9 @@
             max_value = None
             max_state = None
-            if item[6] != None:
+            if item[6] is not None:
                 max_value = item[6].GetValue()
                 max_state = item[6].IsShown()
             unit = None
-            if item[7] != None:
+            if item[7] is not None:
                 unit = item[7].GetLabel()
 
@@ -1683,5 +1687,4 @@
                               [max_state, max_value], unit])
 
-
     def _draw_model(self, update_chisqr=True, source='model'):
         """
@@ -1702,7 +1705,7 @@
         :param chisqr: update chisqr value [bool]
         """
-        #if self.check_invalid_panel():
+        # if self.check_invalid_panel():
         #    return
-        if self.model != None:
+        if self.model is not None:
             temp_smear = None
             if hasattr(self, "enable_smearer"):
@@ -1716,15 +1719,15 @@
             is_2d = self._is_2D()
             self._manager.draw_model(self.model,
-                                    data=self.data,
-                                    smearer=temp_smear,
-                                    qmin=float(self.qmin_x),
-                                    qmax=float(self.qmax_x),
-                                    page_id=self.uid,
-                                    toggle_mode_on=toggle_mode_on,
-                                    state=self.state,
-                                    enable2D=is_2d,
-                                    update_chisqr=update_chisqr,
-                                    source='model',
-                                    weight=weight)
+                                     data=self.data,
+                                     smearer=temp_smear,
+                                     qmin=float(self.qmin_x),
+                                     qmax=float(self.qmax_x),
+                                     page_id=self.uid,
+                                     toggle_mode_on=toggle_mode_on,
+                                     state=self.state,
+                                     enable2D=is_2d,
+                                     update_chisqr=update_chisqr,
+                                     source='model',
+                                     weight=weight)
 
     def _on_show_sld(self, event=None):
@@ -1736,7 +1739,7 @@
 
         from sas.sasgui.plottools import Data1D as pf_data1d
-        #from sas.sasgui.perspectives.theory.profile_dialog import SLDPanel
+        # from sas.sasgui.perspectives.theory.profile_dialog import SLDPanel
         from sas.sasgui.guiframe.local_perspectives.plotting.profile_dialog \
-        import SLDPanel
+            import SLDPanel
         sld_data = pf_data1d(x, y)
         sld_data.name = 'SLD'
@@ -1791,5 +1794,5 @@
         self.structurebox.Disable()
         self.formfactorbox.Clear()
-        if mod_cat == None:
+        if mod_cat is None:
             return
         m_list = []
@@ -1853,5 +1856,5 @@
         """
         tcrtl = event.GetEventObject()
-        #Clear msg if previously shown.
+        # Clear msg if previously shown.
         msg = ""
         wx.PostEvent(self.parent, StatusEvent(status=msg))
@@ -1872,5 +1875,5 @@
                     tcrtl.SetBackgroundColour("pink")
                     msg = "Model Error: wrong value entered: %s" % \
-                                    sys.exc_info()[1]
+                          sys.exc_info()[1]
                     wx.PostEvent(self.parent, StatusEvent(status=msg))
                     return
@@ -1880,6 +1883,6 @@
                 wx.PostEvent(self.parent, StatusEvent(status=msg))
                 return
-            #Check if # of points for theory model are valid(>0).
-            if self.npts != None:
+            # Check if # of points for theory model are valid(>0).
+            if self.npts is not None:
                 if check_float(self.npts):
                     temp_npts = float(self.npts.GetValue())
@@ -1897,5 +1900,5 @@
         wx.PostEvent(self.parent, event)
         self.state_change = False
-        #Draw the model for a different range
+        # Draw the model for a different range
         if not self.data.is_data:
             self.create_default_data()
@@ -1908,5 +1911,5 @@
 
         tcrtl = event.GetEventObject()
-        #Clear msg if previously shown.
+        # Clear msg if previously shown.
         msg = ""
         wx.PostEvent(self._manager.parent, StatusEvent(status=msg))
@@ -1929,5 +1932,5 @@
                     tcrtl.SetBackgroundColour("pink")
                     msg = "Model Error: wrong value entered: %s" % \
-                                        sys.exc_info()[1]
+                          sys.exc_info()[1]
                     wx.PostEvent(self._manager.parent, StatusEvent(status=msg))
                     return
@@ -1937,5 +1940,5 @@
                 wx.PostEvent(self._manager.parent, StatusEvent(status=msg))
                 return
-            #Check if # of points for theory model are valid(>0).
+            # Check if # of points for theory model are valid(>0).
             if self.Npts_total.IsEditable():
                 if check_float(self.Npts_total):
@@ -1955,5 +1958,5 @@
         wx.PostEvent(self.parent, event)
         self.state_change = False
-        #Draw the model for a different range
+        # Draw the model for a different range
         self.create_default_data()
         self._draw_model()
@@ -1963,10 +1966,10 @@
         call back for model selection
         """
-        ## reset dictionary containing reference to dispersion
+        # reset dictionary containing reference to dispersion
         self._disp_obj_dict = {}
         self.disp_cb_dict = {}
         self.temp_multi_functional = False
         f_id = self.formfactorbox.GetCurrentSelection()
-        #For MAC
+        # For MAC
         form_factor = None
         if f_id >= 0:
@@ -1975,5 +1978,5 @@
         if form_factor is None or \
             not hasattr(form_factor, 'is_form_factor') or \
-            not form_factor.is_form_factor:
+                not form_factor.is_form_factor:
             self.structurebox.Hide()
             self.text2.Hide()
@@ -1987,5 +1990,5 @@
             self.text2.Enable()
 
-        if form_factor != None:
+        if form_factor is not None:
             # set multifactor for Mutifunctional models
             if form_factor.is_multiplicity_model:
@@ -1995,5 +1998,5 @@
                 self._set_multfactor_combobox(multiplicity)
                 self._show_multfactor_combobox()
-                #ToDo:  this info should be called directly from the model
+                # ToDo: this info should be called directly from the model
                 text = form_factor.multiplicity_info[1]  # 'No. of Shells: '
 
@@ -2004,5 +2007,5 @@
 
                 self.multi_factor = self.multifactorbox.GetClientData(m_id)
-                if self.multi_factor == None:
+                if self.multi_factor is None:
                     self.multi_factor = 0
                 self.multifactorbox.SetSelection(m_id)
@@ -2010,5 +2013,5 @@
                 text = ''
                 if form_factor.multiplicity_info[0] == \
-                                        len(form_factor.multiplicity_info[2]):
+                        len(form_factor.multiplicity_info[2]):
                     text = form_factor.multiplicity_info[2][self.multi_factor]
                 self.mutifactor_text1.SetLabel(text)
@@ -2031,5 +2034,5 @@
         struct_factor = self.structurebox.GetClientData(s_id)
 
-        if  struct_factor != None:
+        if struct_factor is not None:
             from sasmodels.sasview_model import MultiplicationModel
             self.model = MultiplicationModel(form_factor(self.multi_factor),
@@ -2038,5 +2041,5 @@
             if len(form_factor.non_fittable) > 0:
                 self.temp_multi_functional = True
-        elif form_factor != None:
+        elif form_factor is not None:
             if self.multi_factor is not None:
                 self.model = form_factor(self.multi_factor)
@@ -2053,5 +2056,5 @@
         else:
             self._has_magnetic = False
-        ## post state to fit panel
+        # post state to fit panel
         self.state.parameters = []
         self.state.model = self.model
@@ -2063,5 +2066,4 @@
         self.Layout()
 
-
     def _validate_qrange(self, qmin_ctrl, qmax_ctrl):
         """
@@ -2083,5 +2085,5 @@
             qmax = float(qmax_ctrl.GetValue())
             if qmin < qmax:
-                #Make sure to set both colours white.
+                # Make sure to set both colours white.
                 qmin_ctrl.SetBackgroundColour(wx.WHITE)
                 qmin_ctrl.Refresh()
@@ -2103,8 +2105,8 @@
         If valid, setvalues Npts_fit otherwise post msg.
         """
-        #default flag
+        # default flag
         flag = True
         # Theory
-        if self.data == None and self.enable2D:
+        if self.data is None and self.enable2D:
             return flag
         for data in self.data_list:
@@ -2112,7 +2114,7 @@
             radius = numpy.sqrt(data.qx_data * data.qx_data +
                                 data.qy_data * data.qy_data)
-            #get unmasked index
+            # get unmasked index
             index_data = (float(self.qmin.GetValue()) <= radius) & \
-                            (radius <= float(self.qmax.GetValue()))
+                         (radius <= float(self.qmax.GetValue()))
             index_data = (index_data) & (data.mask)
             index_data = (index_data) & (numpy.isfinite(data.data))
@@ -2130,5 +2132,5 @@
                 flag = False
             else:
-                self.Npts_fit.SetValue(str(len(index_data[index_data == True])))
+                self.Npts_fit.SetValue(str(len(index_data[index_data is True])))
                 self.fitrange = True
 
@@ -2140,15 +2142,15 @@
         If valid, setvalues Npts_fit otherwise post msg.
         """
-        #default flag
+        # default flag
         flag = True
         # Theory
-        if self.data == None:
+        if self.data is None:
             return flag
         for data in self.data_list:
             # q value from qx and qy
             radius = data.x
-            #get unmasked index
+            # get unmasked index
             index_data = (float(self.qmin.GetValue()) <= radius) & \
-                            (radius <= float(self.qmax.GetValue()))
+                         (radius <= float(self.qmax.GetValue()))
             index_data = (index_data) & (numpy.isfinite(data.y))
 
@@ -2165,5 +2167,5 @@
                 flag = False
             else:
-                self.Npts_fit.SetValue(str(len(index_data[index_data == True])))
+                self.Npts_fit.SetValue(str(len(index_data[index_data is True])))
                 self.fitrange = True
 
@@ -2185,5 +2187,5 @@
         is_modified = False
         for item in list:
-            #skip angle parameters for 1D
+            # skip angle parameters for 1D
             if not self.enable2D and item in self.orientation_params:
                 continue
@@ -2230,6 +2232,8 @@
                     max_ctrl.SetBackgroundColour("pink")
                     max_ctrl.Refresh()
-                    #msg = "Invalid fit range for %s: min must be smaller than max"%name
-                    #wx.PostEvent(self._manager.parent, StatusEvent(status=msg))
+                    # msg = "Invalid fit range for %s: min must be smaller
+                    # than max"%name
+                    # wx.PostEvent(self._manager.parent,
+                    # StatusEvent(status=msg))
                     continue
 
@@ -2249,5 +2253,5 @@
                     # The configuration has changed but it won't change the
                     # computed curve so no need to set is_modified to True
-                    #is_modified = True
+                    # is_modified = True
                     self.model.details[name][1:3] = low, high
 
@@ -2267,6 +2271,6 @@
         Redraw the model with the default dispersity (Gaussian)
         """
-        ## On selction if no model exists.
-        if self.model == None:
+        # On selction if no model exists.
+        if self.model is None:
             self.disable_disp.SetValue(True)
             msg = "Please select a Model first..."
@@ -2278,5 +2282,5 @@
         self._reset_dispersity()
 
-        if self.model == None:
+        if self.model is None:
             self.model_disp.Hide()
             self.sizer4_4.Clear(True)
@@ -2284,5 +2288,5 @@
 
         if self.enable_disp.GetValue():
-            ## layout for model containing no dispersity parameters
+            # layout for model containing no dispersity parameters
 
             self.disp_list = self.model.getDispParamList()
@@ -2291,23 +2295,23 @@
                 self._layout_sizer_noDipers()
             else:
-                ## set gaussian sizer
+                # set gaussian sizer
                 self._on_select_Disp(event=None)
         else:
             self.sizer4_4.Clear(True)
 
-        ## post state to fit panel
+        # post state to fit panel
         self.save_current_state()
-        if event != None:
+        if event is not None:
             event = PageInfoEvent(page=self)
             wx.PostEvent(self.parent, event)
-        #draw the model with the current dispersity
-
-        #Wojtek P, Oct 8, 2016: Calling draw_model seems to be unessecary.
-        #By comenting it we save an extra Iq calculation
-        #self._draw_model()
-
-        ## Need to use FitInside again here to replace the next four lines.
-        ## Otherwised polydispersity off does not resize the scrollwindow.
-        ## PDB Nov 28, 2015
+        # draw the model with the current dispersity
+
+        # Wojtek P, Oct 8, 2016: Calling draw_model seems to be unessecary.
+        # By comenting it we save an extra Iq calculation
+        # self._draw_model()
+
+        # Need to use FitInside again here to replace the next four lines.
+        # Otherwised polydispersity off does not resize the scrollwindow.
+        # PDB Nov 28, 2015
         self.FitInside()
 #        self.sizer4_4.Layout()
@@ -2353,5 +2357,5 @@
         self.weights = {}
 
-        #from sas.models.dispersion_models import GaussianDispersion
+        # from sas.models.dispersion_models import GaussianDispersion
         from sasmodels.weights import GaussianDispersion
         if len(self.disp_cb_dict) == 0:
@@ -2374,5 +2378,5 @@
                     logging.error(traceback.format_exc())
 
-        ## save state into
+        # save state into
         self.save_current_state()
         self.Layout()
@@ -2386,7 +2390,7 @@
         self._set_sizer_dispersion()
 
-        ## Redraw the model
+        # Redraw the model
         self._draw_model()
-        #self._undo.Enable(True)
+        # self._undo.Enable(True)
         event = PageInfoEvent(page=self)
         wx.PostEvent(self.parent, event)
@@ -2403,5 +2407,5 @@
         """
         # get ready for new event
-        if event != None:
+        if event is not None:
             event.Skip()
         # Get event object
@@ -2416,5 +2420,5 @@
             dispersity = disp_box.GetClientData(selection)
 
-            #disp_model =  GaussianDispersion()
+            # disp_model =  GaussianDispersion()
             disp_model = dispersity()
             # Get param names to reset the values of the param
@@ -2429,5 +2433,5 @@
             else:
                 self._del_array_values(name1)
-                #self._reset_array_disp(param_name)
+                # self._reset_array_disp(param_name)
                 self._disp_obj_dict[name1] = disp_model
                 self.model.set_dispersion(param_name, disp_model)
@@ -2513,8 +2517,8 @@
         if path is None:
             self.disp_cb_dict[name].SetValue(False)
-            #self.noDisper_rbox.SetValue(True)
+            # self.noDisper_rbox.SetValue(True)
             return
         self._default_save_location = os.path.dirname(path)
-        if self._manager != None:
+        if self._manager is not None:
             self._manager.parent._default_save_location = \
                              self._default_save_location
@@ -2533,5 +2537,5 @@
         wx.PostEvent(self._manager.parent, StatusEvent(status=msg))
         self._set_array_disp_model(name=name, disp=disp,
-                                    values=values, weights=weights)
+                                   values=values, weights=weights)
         return basename
 
@@ -2552,5 +2556,5 @@
         # Store the object to make it persist outside the
         # scope of this method
-        #TODO: refactor model to clean this up?
+        # TODO: refactor model to clean this up?
         self.state.values = {}
         self.state.weights = {}
@@ -2559,14 +2563,14 @@
 
         # Set the new model as the dispersion object for the
-        #selected parameter
-        #self.model.set_dispersion(p, disp_model)
+        # selected parameter
+        # self.model.set_dispersion(p, disp_model)
         # Store a reference to the weights in the model object
-        #so that
+        # so that
         # it's not lost when we use the model within another thread.
         self.state.model = self.model.clone()
         self.model._persistency_dict[name.split('.')[0]] = \
-                                        [values, weights]
+            [values, weights]
         self.state.model._persistency_dict[name.split('.')[0]] = \
-                                        [values, weights]
+            [values, weights]
 
     def _del_array_values(self, name=None):
@@ -2606,5 +2610,5 @@
             Layout after self._draw_model
         """
-        if ON_MAC == True:
+        if ON_MAC is True:
             time.sleep(1)
 
@@ -2628,6 +2632,6 @@
         """
         flag = True
-        ##For 3 different cases: Data2D, Data1D, and theory
-        if self.model == None:
+        # For 3 different cases: Data2D, Data1D, and theory
+        if self.model is None:
             msg = "Please select a model first..."
             wx.MessageBox(msg, 'Info')
@@ -2641,8 +2645,8 @@
             self.qmin_x = data_min
             self.qmax_x = math.sqrt(x * x + y * y)
-            #self.data.mask = numpy.ones(len(self.data.data),dtype=bool)
+            # self.data.mask = numpy.ones(len(self.data.data),dtype=bool)
             # check smearing
             if not self.disable_smearer.GetValue():
-                ## set smearing value whether or
+                # set smearing value whether or
                 # not the data contain the smearing info
                 if self.pinhole_smearer.GetValue():
@@ -2651,5 +2655,5 @@
                     flag = True
 
-        elif self.data == None:
+        elif self.data is None:
             self.qmin_x = _QMIN_DEFAULT
             self.qmax_x = _QMAX_DEFAULT
@@ -2662,5 +2666,5 @@
             # check smearing
             if not self.disable_smearer.GetValue():
-                ## set smearing value whether or
+                # set smearing value whether or
                 # not the data contain the smearing info
                 if self.slit_smearer.GetValue():
@@ -2673,5 +2677,5 @@
             flag = False
 
-        if flag == False:
+        if flag is False:
             msg = "Cannot Plot :Must enter a number!!!  "
             wx.PostEvent(self._manager.parent, StatusEvent(status=msg))
@@ -2690,5 +2694,5 @@
         self.state.qmax = self.qmax_x
 
-        #reset the q range values
+        # reset the q range values
         self._reset_plotting_range(self.state)
         self._draw_model()
@@ -2731,5 +2735,5 @@
                 logging.error(traceback.format_exc())
         # Make sure the resduals plot goes to the last
-        if res_item != None:
+        if res_item is not None:
             graphs.append(res_item[0])
             canvases.append(res_item[1])
@@ -2750,10 +2754,10 @@
         the # to the browser.
 
-        :param evt: on Help Button pressed event
-        """
-
-        if self.model != None:
+        :param event: on Help Button pressed event
+        """
+
+        if self.model is not None:
             name = self.formfactorbox.GetValue()
-            _TreeLocation = 'user/models/'+ name.lower()+'.html'
+            _TreeLocation = 'user/models/' + name.lower()+'.html'
             _doc_viewer = DocumentationWindow(self, wx.ID_ANY, _TreeLocation,
                                               "", name + " Help")
